<?php

session_start();
header("Content-type: text/html; charset=".$_SESSION['encodingmode']);
if($_SESSION['dbName']==""){
header("location:../index.php");
}

include("config.inc.php");
include("function.inc.php");
include("Functions_Synchro.php");


$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass']) or die("Could not connect to DB");
mysql_select_db($_SESSION['dbName'],$connection) or die("Could not find DB");

if(	$_SESSION['encodingmode'] == 'utf8' || $_SESSION['encodingmode'] == 'utf-8'){
	mysql_query("SET NAMES 'utf8'"); 
	mysql_query('SET CHARACTER SET utf8'); 
	mysql_set_charset('utf8', $connection);
}

$perpage=$_POST['perpage'];
//User Access
$querylog=" select ifNull(login_belongstogrp,0) As FI_BelongsToGrp from ".$_SESSION['dbLabel'].".login where user_account='".$_SESSION['useraccount']."' and Upper(Login_Schema) = Upper('".$_SESSION['dbName']."')  ";
$resultlog=mysql_query($querylog,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($resultlog)){
	extract($rows);
}

//Read From Module Table

$querymodule=" Select ifNull(Module_Synchro,0) As Module_Synchro From Module ";
$resultmodule=mysql_query($querymodule,$connection) or die(mysql_error());
while($rowmodule=mysql_fetch_array($resultmodule)){
	extract($rowmodule);
}


$query_setup=" Select base1 As base1, base2 as base2, Setup_Branch from setup";
$result= mysql_query($query_setup,$connection) or die( mysql_error());
while($rowsetup=mysql_fetch_array($result)){
	extract($rowsetup);
}

$ship_code = ereg_replace("'", "\'", $ship_code);
$Ship_name = ereg_replace("'", "\'", $Ship_name);


$Ship_Auto 		= $_POST["Ship_Auto"]; if ($Ship_Auto == ""){$Ship_Auto = $_GET["Ship_Auto"];} 

$message="";



if($mode=='insert'){
		$query="select Ship_code  from Ship where Ship_code='".$ship_code."'";
	
	$result = mysql_query($query, $connection);
	
	$records=mysql_num_rows($result);
echo $query;
	echo "$records";
	if ($records==0){
	$query="Insert into Ship(Ship_code,Ship_name) values('$ship_code','$Ship_name')";
			
	echo $query;
	$result  = mysql_query($query, $connection);
	
	}
else $message ="this Code already exist ";	
	if (!$result) {

	$message ="this Port already exist ";	
	}
}

if($mode=='delete')
{	
	$query="delete from ship where Ship_Auto= '$Ship_Auto'";
	
	$result  = mysql_query($query, $connection);
	echo $query;
	if (!$result) {

	$message ='Delete Not Allowed ';	
	}
}


if($mode=='edit'){
	
	$query="select Ship_code  from Ship where Ship_code='".$ship_code."' and Ship_Auto!='$Ship_Auto'";
	
	$result = mysql_query($query, $connection);
	
	$records=mysql_num_rows($result);

	
	if ($records==0){
	$query="update ship set Ship_code='$ship_code',Ship_name='$Ship_name'
	where Ship_Auto='$Ship_Auto'";
	
	$result = mysql_query($query, $connection);
	$message    = mysql_error();
	
	}
	else $message ="this Code already exist ";	

	
	if (!$result) {
		$message='this ship already exist already esist';
	}	

}

$message = ereg_replace(' ','%20',$message);
echo $mode;

if(($mode=='delete')||($mode=='insert'))
	header ("Location: ./Form_Ship.php?mode=insert&message=".$message."&perpage=".$perpage);
else 
header ("Location: ./Form_Ship.php?Ship_Auto=$Ship_Auto&mode=editmode&message=".$message."&perpage=".$perpage);

mysql_close($connection);



print <<<HERE
</form>
</body>

HERE;


?>
		           